<?php

// *** Make sure the file isn't accessed directly
if(!preg_match("/index.php/i", $_SERVER['SCRIPT_FILENAME'])){	
	//Give out an "access denied" error
	echo "access denied";
	//Block all other code
	exit();
}


if (@$login->is_logged_in_as("mainadmin")) {

	$submit = isset($_POST['subAddMenu']) ? $_POST['subAddMenu'] : "";
	$mid = isset($_POST['mid']) ? $_POST['mid'] : "";
	$menu = new Menu($mid);
	
	if ($submit == BUTTON_CREATE) {
		$params = Array();		
		if(isset($_POST['name'])) $params['name'] = $_POST['name'];
		if(isset($_POST['order'])) $params['order'] = $_POST['order'];

		if($menu->menuCreate($params)) {
			draw_success_message(MENU_CREATED);
			$menu = new Menu();
		}else{
			draw_important_message($menu->error);
		}
	}

	draw_title_bar(MENU_ADD); 
?>
	<form name='frmAddMenu' method='post'>
		<table width="100%" border="0" cellspacing="0" cellpadding="2" class="main_text">
		<tr>
			<td>
				* Menu Name: <br>
				<input name="name" value="<?php echo $menu->getName();?>" size="50">
				<br><br>
				* Menu Order: <br>
				<?php
				// Output select tag as a total number of menus available
				$total_menus = Menu::getAll();
				$total_menus[1]++;// Display one more order option for the next menu				
				draw_numbers_select_field("order",$menu->getOrder(),1,$total_menus[1]); 
				?>
			</td>
		</tr>
		</table><br>
		<input class="form_button" type="submit" name="subAddMenu" value="<?php echo BUTTON_CREATE; ?>">
	</form>
<?php
} else draw_important_message(NOT_AUTHORIZED);
?>