<?php

// *** Make sure the file isn't accessed directly
if(!preg_match("/index.php/i", $_SERVER['SCRIPT_FILENAME'])){	
	//Give out an "access denied" error
	echo "access denied";
	//Block all other code
	exit();
}


if (@$login->is_logged_in_as("mainadmin")) {

	// Do delete action
	$act = isset($_GET['act']) ? $_GET['act'] : "";
	if($act=="delete"){
		$pk = isset($_GET['pk']) ? $_GET['pk'] : "";
		$page = new StaticPages($pk);
		if($page->pageDelete($pk)){
			draw_success_message(PAGE_DELETED);
		}else{
			draw_important_message($page->error);
		}
	}
	
	// Start main content
	$all_pages = Array();
	$all_pages = StaticPages::getAll();
	
	draw_title_bar("Static Pages Management"); 
?>
	<table width="100%" border="0" cellspacing="0" cellpadding="2" class="main_text">
		<tr>
			<th width="60%">Page Header</th>
			<th width="20%">Menu</th>
			<th width="20%">Actions</th>
		</tr>
		<?php
		if($all_pages[1] > 0){
			for($i=0;$i<$all_pages[1];$i++){

				// Prepare page header for display
				$page_header = $all_pages[0][$i]['page_title'];
				if(strlen($page_header)>60)$page_header = substr($page_header,0,60)."..";

				// Prepare menu link for display
				$menu_link = $all_pages[0][$i]['menu_name'];
				if(strlen($menu_link)>18)$menu_link = substr($menu_link,0,18)."..";
				
				// Display page row
				echo '
				<tr ' . highlight(0) . ' onmouseover="oldColor=this.style.backgroundColor;this.style.backgroundColor=\'#FFFFCC\';" onmouseout="this.style.backgroundColor=oldColor">
					<td align="left" width="55%" style="cursor:pointer;" onclick="document.location.href=\'?admin=static_pages_edit&pk='.$all_pages[0][$i]['page_key'].'\'" title="click to edit">'.$page_header.'</td>
					<td align="center" width="20%" style="cursor:pointer;" onclick="document.location.href=\'?admin=static_pages_edit&pk='.$all_pages[0][$i]['page_key'].'\'" title="click to edit">'.(($menu_link!="")?$menu_link:"N/A").'</td>
					<td align="center" width="25%" nowrap>
						<a href="?page=static_pages&name='.$all_pages[0][$i]['page_key'].'">View</a>&nbsp;|&nbsp;
						<a href="?admin=static_pages_edit&pk='.$all_pages[0][$i]['page_key'].'">Edit</a>&nbsp;|&nbsp; 
						<a href="?admin=static_pages&act=delete&pk='.$all_pages[0][$i]['page_key'].'" onclick="if(!confirm(\'Are you sure?\'))return false;" >Delete</a>
					</td>
				</tr>';
			}
		}else {
			echo '
			<tr>
				<td colspan="3" align="center">No Pages Found</td>
			</tr>';
		 } 
		 ?>
	</table>
<?php
} else draw_important_message(NOT_AUTHORIZED);
?>